---
postgresql:
  # local development bare metal
  dsn: dbi:Pg:dbname=dtaq_beta;host=localhost;port=5432
  # docker Mac
  # dsn: dbi:Pg:dbname=dtaq_beta;host=host.docker.internal;port=5432
  # docker-compose
  # dsn: dbi:Pg:dbname=dtaq_beta;host=dtaq_db;port=5432
  user: dev
  password: 10nvenauruv
sqlite:
  caberr:
    dsn: dbi:SQLite:dbname=/opt/DTAx/caberr/data/caberr.sqlite
helprep: /opt/DTAx/dtadoc
xmlrep: /opt/DTAx/dta-books/xml-origin
xml_pages: /opt/DTAx/dta-books/xml-pages
# fullxmlrep: /home/wiegand/dta-fullxml
fullxmlrepwithoutc: /opt/DTAx/dta-books/xml-release
# txtrep: /home/wiegand/dta-txt
formulacache: /opt/DTAx/cache/formula
dtadoc: /opt/DTAx/dtadoc
dta:
  base_url: http://localhost:9007/
  rep_base_dir: /opt/DTAx
  #nrhz_links: /opt/DTAx/dta-books/nrhz/TEI/links_nrhz.txt
  tools: /opt/DTAx/dta-tools
  semcloud:
    url: http://kaskade.dwds.de/dstar/dta/semcloud/semq.perl
  ebooks_max_pages: 80
  book:
    # describes ready state, values 0-4 in table book
    ready:
      - "unbearbeitet"
      - "fertig, freigegeben"
      - "keine Freigabe Göttingen"
      - "ungeklärt"
      - "DTAE"
# DTA relevant, z.B. Lizenzen
dtae:
  etc: /opt/DTAx/dta-books/dtae
  base_url: http://www.deutschestextarchiv.de/
  form_meta: "http://meta.deutschestextarchiv.de/tei/header/"
dtaq:
  #base_url: http://dtaq.deutschestextarchiv.de/
  base_url: http://www.deutschestextarchiv.de/
ddc:
  dstar_dta_extra: /opt/DTAx/corpora/dta.monolithic
  dstar_dtae_extra: /opt/DTAx/corpora/dtae
  dstar_dtak_extra: /opt/DTAx/corpora/dtak
  corpus_csv: /opt/DTAx/dta-books/corpus-csv.d
  config: /opt/DTAx/ddc_cfg
  bad_files: /opt/DTAx/dta-books/bad.files
relax_ng:
  schema_dir: /opt/DTAx/dtabf/schema
  schemata:
    - "basisformat.rng"
    - "basisformat_ms.rng"
    - "basisformat_ohne_header.rng"
    - "tei_all.rng"
dstar_dta_extra: /opt/DTAx/corpora/dta.monolithic
dstar_dtae_extra: /opt/DTAx/corpora/dtae
dstar_dtak_extra: /opt/DTAx/corpora/dtak
